Compiling STP on Mac OSX 10.5

Help
2008-03-04
2013-04-25
  • Kin-Keung Ma
    Kin-Keung Ma
    2008-03-04

    I found that in order to compile STP on 10.5, I need to change the following in Makefile.common:

    # in order to build a binary that will link against the 10.4u SDK
    # and run on the 10.4 system.
    MACOSX_MIN = -mmacosx-version-min=10.4

    # add MACOSX_MIN
    CFLAGS_BASE = -O2 $(MACOSX_MIN) $(OPTIONS1) $(OPTIONS2)
    LDFLAGS_BASE = -lstdc++ $(MACOSX_MIN)

    Another solution may be found below but I haven't tried.

    http://www.miscdebris.net/blog/2007/11/30/compiling-universal-binaries-in-mac-osx-105-leopard-against-104u-sdk-problem/